%{?scl:%scl_package httpd-configmap-generator}
%{!?scl:%global pkg_name %{name}}

%global app_name  httpd_configmap_generator
%global app_dir  /opt/%{app_name}/

Summary: The Httpd Configmap Generator
Name: httpd-configmap-generator
Version: 0.2.1
Release: 2%{?dist}
License: Apache-2.0
URL: https://github.com/ManageIQ/httpd_configmap_generator
Source0: %{name}-%{version}.tar.gz
BuildArch: x86_64

Requires: %{?scl_prefix}ruby(release) >= 2.3.6
Requires: %{?scl_prefix}ruby(release) < 2.3.7
Requires: %{?scl_prefix}rubygem-bundler
BuildRequires: %{?scl_prefix}rubygems-devel

Requires: %{?scl_prefix}rubygem-json = 2.1.0

%description
The Httpd Configmap Generator.

%prep
%setup -q

%install
%{__mkdir} -p %{buildroot}%{app_dir}
%{__cp} -r . %{buildroot}%{app_dir}

%{__mkdir} -p %{buildroot}/%{_bindir}
%{__ln_s} %{app_dir}/bin/%{app_name} ${RPM_BUILD_ROOT}/%{_bindir}

%files
%defattr(-,root,root,-)
%{app_dir}
%{_bindir}/%{app_name}

%changelog
* Tue Apr 03 2018 Satoe Imaishi <simaishi@redhat.com> - 0.2.1-2
- Update json to 2.1.0

* Tue Nov 07 2017 Satoe Imaishi <simaishi@redhat.com> - 0.2.1-1
- Update to 0.2.1

* Mon Oct 30 2017 Satoe Imaishi <simaishi@redhat.com> - 0.2.0-1
- Initial build
